    function schedule_display(selected,partial){
	if (selected== ''){
        var html = '<p>不限</p>';
        partial[0].innerHTML = html;
	}else if(selected =='all'){
        var html = '<p>本周全部时段</p>';
        partial[0].innerHTML = html;
    }else{
	 	var data = '一二三四五六日',
		html = '<div>当前已选时段：</div><table border="0" cellspacing="0" cellpadding="0" class="selected-day-parting"><tbody>';
        var timeSection = function(display){
            for(var j=0;j<display.length;j++){
                var range = display[j];
                if (range[1] - range[0] == 23) {
                    html += '全天';
                }else{
                    html += '<span style="width: 90px;display:inline-block">'+range[0]+':00 ~ '+range[1]+':59</span>';
                }
            }
        };
        for(var i=0;i<7;i++){
            switch(i){
                case 0:
                    var display = selected.Monday.display;
                    if(display==""||display==null){break;};
                    html += '<tr><td width="60">星期'+data[i]+'</td><td>';
                    timeSection(display);
                    html += '</td></tr>';
                    break;
                case 1:
                    var display = selected.Tuesday.display;
                    if(display==""||display==null){break;};
                    html += '<tr><td width="40">星期'+data[i]+'</td><td>';
                    timeSection(display);
                    html += '</td></tr>';
                    break;
                case 2:
                    var display = selected.Wednesday.display;
                    if(display==""||display==null){break;};
                    html += '<tr><td width="40">星期'+data[i]+'</td><td>';
                    timeSection(display);
                    html += '</td></tr>';
                    break;
                case 3:
                    var display = selected.Thursday.display;
                    if(display==""||display==null){break;};
                    html += '<tr><td width="40">星期'+data[i]+'</td><td>';
                    timeSection(display);
                    html += '</td></tr>';
                    break;
                case 4:
                    var display = selected.Friday.display;
                    if(display==""||display==null){break;};
                    html += '<tr><td width="40">星期'+data[i]+'</td><td>';
                    timeSection(display);
                    html += '</td></tr>';
                    break;
                case 5:
                    var display = selected.Saturday.display;
                    if(display==""||display==null){break;};
                    html += '<tr><td width="40">星期'+data[i]+'</td><td>';
                    timeSection(display);
                    html += '</td></tr>';
                    break;
                case 6:
                    var display = selected.Sunday.display;
                    if(display==""||display==null){break;};
                    html += '<tr><td width="40">星期'+data[i]+'</td><td>';
                    timeSection(display);
                    html += '</td></tr>';
                    break;
            }
        }
		html += '</tbody></table>';
		partial[0].innerHTML = html;
	}
}